#
# spec file for package pimcommon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pimcommon
Version:        16.08.2
Release:        1.1
Summary:        Base package of KDE PIM PimCommon library
License:        GPL-2.0 and LGPL-2.1+
Group:          System/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-contact-devel = %{version}
BuildRequires:  akonadi-mime-devel = %{version}
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules >= 5.23.0
BuildRequires:  grantlee5-devel
BuildRequires:  karchive-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcontacts-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kimap-devel
BuildRequires:  kio-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  kmime-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kpimtextedit-devel
BuildRequires:  kservice-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkdepim-devel >= %{version}
BuildRequires:  libxslt-devel
BuildRequires:  cmake(Qt5Designer)
BuildRequires:  pkgconfig(Qt5DBus) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the pimcommon library, used by several KDE PIM
applications.

%prep
%setup -q

%build
%cmake_kf5 -d build -- -DQTWEBENGINE_SUPPORT_OPTION=TRUE

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5PimCommon5
Summary:        The PimCommon Library
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}

%description -n libKF5PimCommon5
The PimCommon library

%post -n libKF5PimCommon5  -p /sbin/ldconfig
%postun -n libKF5PimCommon5 -p /sbin/ldconfig

%package devel
Summary:        Development package for pimcommon
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       libKF5PimCommon5 = %{version}
Requires:       akonadi-server-devel
Requires:       kcontacts-devel
Requires:       akonadi-contact-devel
Requires:       kconfig-devel
Requires:       kimap-devel

%description devel
The development package for the pimcommon libraries

%files
%defattr(-,root,root)
%config %{_kf5_configdir}/pimcommon.categories

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/PimCommon/
%{_includedir}/KF5/pimcommon/
%{_includedir}/KF5/pimcommon_version.h
%{_kf5_plugindir}/designer/
%{_libdir}/cmake/KF5PimCommon/
%{_libdir}/libKF5PimCommon.so
%{_libdir}/qt5/mkspecs/modules/qt_PimCommon.pri

%files -n libKF5PimCommon5
%defattr(-,root,root)
%{_libdir}/libKF5PimCommon.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul 21 2016 wbauer@tmo.at
- Cleanup build requires
- Add necessary requirements to the devel package so that other
  packages building against this don't have to specify them even
  if they don't use them
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Tue May 17 2016 lbeltrame@kde.org
- Set correct package groups
- Update pakcage descriptions
* Mon May  9 2016 wbauer@tmo.at
- Move pimcommon.categories from the lib subpackage to the main
  one, according to the shared library packaging policy
- Move the designer widget to the devel package, it is not needed
  for normal operation
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
